<?php

if (!isset($user)) {header('Location: /');} //Переадресация гостей
if ($level != 3) {header('Location: /');} //Переадресация пользователей не являющихся админами

//Ещё одна проверка прав (на всякий случай)
if ($level == 3) {

$mod_name = 'Рекламный менеджер'; //Заголовок модуля
require_once(SITE.'/core/CoreHead.php'); //Подключение шапки
echo '<div class="title">'.$mod_name.'</div>'; //Вывод заголовка

$ads_name = filtr($_POST['name']); //Отфильтрованное название
$ads_link = filtr($_POST['url']); //Отфильтрованный адрес
$ads_date = time(); //Время
$ads_pos = filtr($_POST['pos']); //Отфильтрованная позиция
$ads_delete = filtr($_POST['delete']); //Отфильтрованная дата удаления

//Уведомления
if ($_GET['err'] == 1) {echo '<div class="main">Ссылка успешно отредактирована!</div>';} //Уведомление об успешном редактировании ссылки

//Удаление
if (isset($_GET['dell'])) {
//Проверка существования ссылки
$sql = "SELECT COUNT(*) FROM ads WHERE id='".$_GET['dell']."'";
if ($STH = $DBH->query($sql)) {  
if ($STH->fetchColumn() > 0) {
//Удаление ссылки
$sqlm = $DBH->prepare('DELETE FROM `ads` WHERE `id`=:id LIMIT 1');
$data = array('id'=>''.filtr($_GET['dell']).'');
$sqlm->execute($data);
echo '<div class="main">Ссылка удалена!</div>'; //Уведомление об успешном удалении ссылки
} //Конец процедуры удаления
else {echo '<div class="main">Такой ссылки нет!</div>';} //Уведомление об отсутствии ссылки
} //Конец проверки
} //Конец удаления

//Изменение
if(isset($_GET['update'])) {
if (isset($_POST['submit_update'])) {

//Ошибки
if (empty($ads_name)) {$error .= 'Не введено название!<br />';} //Уведомление об отсутствии названия
if (empty($ads_link)) {$error .= 'Не введен URL!<br />';} //Уведомление об отсутствии URL
if (isset($error)) {echo '<div class="main"><b>Возникли ошибки:</b>'.$error.'</div>';} //Вывод ошибок

//Изменение
if (!isset($error)) {
$sqlm = $DBH->prepare('UPDATE `ads` SET `name`=:name , `link`=:link , `delete`=:delete , `pos`=:pos WHERE `id`=:update');
$data = array('name'=>''.$_POST['name'].'', 'link'=>''.$_POST['url'].'', 'delete'=>''.$_POST['delete'].'', 'pos'=>''.$_POST['pos'].'', 'update'=>''.$_GET['update'].'');
$sqlm->execute($data);
header('Location: /?mod=system&act=ads_manager&err=1'); //Переадресация с уведомлением об успешном изменении
}} //Конец изменения

//Проверка наличия изменяемой ссылки 
$sql = "SELECT COUNT(*) FROM ads WHERE id='".$_GET['update']."'";
if ($STH = $DBH->query($sql)) {  
if ($STH->fetchColumn() > 0) {

//Получение данных для ссылки
$query_update = $DBH -> query("SELECT * FROM `ads` WHERE `id`='".filtr($_GET['update'])."' LIMIT 1;");
$data_update = $query_update -> fetch();

//Вывод формы
echo '
<form action="?mod=system&amp;act=ads_manager&amp;update='.filtr($_GET['update']).'" method="POST" class="main"> 
Название:<br /> 
<input name="name" type="text" value="'.filtr($data_update['name']).'" /><br />
URL (без http://):<br /> 
<input name="url" type="text" value="'.filtr($data_update['link']).'" /><br />  
Позиция:<br>
<select size="1" name="pos">
<option value="1">Верх</option>
<option value="2">Низ</option>
</select><br />
Кликов до удаления(0 - без ограничений):<br /> 
<input name="delete" type="text" value="'.$data_update['delete'].'" /><br /> 
<input type="submit" name="submit_update" value="Изменить" /> 
</form>'; 

require_once(SITE.'/core/CoreFoot.php'); //Подключение ног
exit; //Завершение скрипта
}
else {echo '<div class="main">Такой ссылки нет!</div>';} //Уведомление об отсутствии ссылки
}} //Конец проверки наличия ссылки

//Добавление ссылки
if (isset($_POST['submit'])) {

//Ошибки
if (empty($ads_name)) {$error .= 'Не введено название!<br />';} //Уведомление об отсутствии названия
if (empty($ads_link)) {$error .= 'Не введен URL!<br />';} //Уведомление об отсутствии URL
if (isset($error)) {echo '<div class="main"><b>Возникли ошибки:</b><br />'.$error.'</div>';} //Вывод ошибок

//Добавление
if (!isset($error)) {
$sqlm = $DBH->prepare('INSERT INTO `ads` SET `name`=:name , `link`=:link , `pos`=:pos , `date`=:date , `delete`=:delete');
$data = array('name'=>''.$_POST['name'].'', 'link'=>''.$_POST['url'].'', 'pos'=>''.$_POST['pos'].'', 'date'=>''.time().'', 'delete'=>''.$_POST['delete'].'');
$sqlm->execute($data);
echo '<div class="main">Ссылка добавлена!</div>'; //Уведомление об успешном добавлении
}} //Конец добавления ссылки

//Вывод верхних ссылок
echo '<div class="main">';
echo '<b>Верх:</b><br />';
//Проверка наличия ссылок
$sql = "SELECT COUNT(*) FROM ads WHERE pos='1'";  
if ($STH = $DBH->query($sql)) {  
if ($STH->fetchColumn() > 0) {
//Вывод ссылок
$query_v_link = $DBH -> query("SELECT * FROM `ads` WHERE `pos`='1' ORDER BY `id` DESC;");
$i = 0;
while ($data_v = $query_v_link -> fetch()) {
++$i;
echo '<b>'.filtr($data_v['name']).'</b> ('.trytime($data_v['date']).')<br />
url: '.filtr($data_v['link']).'<br />
Всего: <b>'.$data_v['click'].'</b> / Ост: ';
if ($data_v['delete'] == 0 ) {echo '<b>Неогр.</b>';}
else {
$ost = $data_v['delete'] - $data_v['click'];
}
echo '<b>'.$ost.'</b><br /><a href="/?mod=system&amp;act=ads_manager&dell='.$data_v['id'].'">Удалить</a> / <a href="/?mod=system&amp;act=ads_manager&update='.$data_v['id'].'">Изменить</a><hr />';}
}
else {echo 'Ссылок нет<br />';} //Уведомление об отсутствии ссылок
} //Конец вывода

//Вывод нижних ссылок
echo '<b>Низ:</b><br />';
//Проверка наличия ссылок
$sql = "SELECT COUNT(*) FROM ads WHERE pos='2'";  
if ($STH = $DBH->query($sql)) {  
if ($STH->fetchColumn() > 0) {
//Вывод ссылок
$query_n_link = $DBH -> query("SELECT * FROM `ads` WHERE `pos`='2' ORDER BY `id` DESC;");
$i = 0;
while ($data_n = $query_n_link -> fetch()) {
++$i;
echo '<b>'.filtr($data_n['name']).'</b> ('.trytime($data_n['date']).')<br />
url: '.filtr($data_n['link']).'<br />
Всего: <b>'.$data_n['click'].'</b> / Ост: ';
if ($data_n['delete'] == 0 ) {echo '<b>Неогр.</b>';}
else {
$ost2 = $data_n['delete'] - $data_n['click'];
}
echo '<b>'.$ost2.'</b><br /><a href="/?mod=system&amp;act=ads_manager&dell='.$data_n['id'].'">Удалить</a> / <a href="/?mod=system&amp;act=ads_manager&update='.$data_n['id'].'">Изменить</a><hr />';
}
}
else {echo 'Ссылок нет<br />';} //Уведомление об отсутствии ссылок
}
echo '</div>';

//Вывод формы для добавления
echo '
<form action="?mod=system&amp;act=ads_manager" method="POST" class="main"> 
Название:<br /> 
<input name="name" type="text" /><br />
URL (без http://):<br /> 
<input name="url" type="text" /><br />  
Позиция:<br>
<select size="1" name="pos">
<option value="1">Верх</option>
<option value="2">Низ</option>
</select><br />
Кликов до удаления(0 - без ограничений):<br /> 
<input name="delete" type="text" value="0" /><br /> 
<input type="submit" name="submit" value="Добавить" /> 
</form>'; 

//Навигация
echo '<div class="main">'.icons('return.png').' <a href="/?mod=system">В админ-панель</a></div>';
require_once(SITE.'/core/CoreFoot.php'); //Подключение ног
} //Конец проверки прав доступа

?>
