<?php

if (!isset($user)) {header('Location: /');} //Переадресация незарегистрированных
if ($level != 3) {header('Location: /');} //Переадресация пользователей не являющихся админами

//Еще одна проверка на наличие прав (на всякий случай)
if ($level == 3) {

$mod_name = 'Страницы'; //Имя модуля
$act_name = 'Админка'; //Имя действия

require_once(SITE.'/core/CoreHead.php'); //Подключение шапки
echo '<div class="title">'.$mod_name.'</div>'; //Вывод заголовка

//Уведомления
if ($_GET['err'] == 1) {echo '<div class="main">Страница изменена!</div>';}

//Удаление страниц
if (isset($_GET['dell'])) {
//Проверка наличия удаляемой страницы
$sql = "SELECT COUNT(*) FROM pages WHERE id='".$_GET['dell']."'";
if ($STH = $DBH->query($sql)) {  
if ($STH->fetchColumn() > 0) {
//Удаление
$sqlm = $DBH->prepare('DELETE FROM `pages` WHERE `id`=:id LIMIT 1');
$data_dell = array('id'=>''.filtr($_GET['dell']).'');
$sqlm->execute($data_dell);
echo '<div class="main">Страница удалена!</div>'; //Уведомление об успешном удалении
} //Конец удаления
else {echo '<div class="main">Такой страницы нет!</div>';} //Уведомление об отсутствии страницы
}} //Конец проверки наличия страницы и конец удаления

//Изменение страниц
if (isset($_GET['update'])) {
//Проверки на корректность введеных данных
if (isset($_POST['submit_update'])) {
$upd_name = filtr($_POST['name']); //Отфильтрованное название страницы
$upd_text = filtr($_POST['text']); //Отфильтрованный текст страницы
if (empty($upd_name)) {$error .= 'Не введено название!<br />';} //Уведомление о том, что не введено название
if (empty($upd_text)) {$error .= 'Не введен текст!<br />';} //Уведомление о том что не введен текст
if (isset($error)) {echo '<div class="main"><b>Возникли ошибки:</b><br />'.$error.'</div>';} //Вывод ошибок
//Изменение
if (!isset($error)) {
$sqlm = $DBH->prepare('UPDATE `pages` SET `name`=:name , `text`=:text  WHERE `id`=:update');
$data = array('name'=>''.$_POST['name'].'', 'text'=>''.$_POST['text'].'', 'update'=>''.filtr($_GET['update']).'');
$sqlm->execute($data);
header('Location: /?mod=pages&act=admin&err=1'); //Переадресация с уведомлением об успешном изменении
}} //Конец изменения
//Форма изменения
//Проверка наличия изменяемой страницы
$sql = "SELECT COUNT(*) FROM pages WHERE id='".$_GET['update']."'";
if ($STH = $DBH->query($sql)) {  
if ($STH->fetchColumn() > 0) {
//Получение данных о странице
$query_update = $DBH -> query("SELECT * FROM `pages` WHERE `id`='".filtr($_GET['update'])."' LIMIT 1;");
$data_update = $query_update -> fetch();
//Вывод формы
echo '
<form action="?mod=pages&amp;act=admin&amp;update='.$_GET['update'].'" method="POST" class="main"> 
Название:<br /> 
<input name="name" type="text" value="'.filtr($data_update['name']).'" /><br />
Текст:<br />
<textarea cols="35" rows="25" name="text">'.filtr($data_update['text']).'</textarea><br />
<input type="submit" name="submit_update" value="Изменить" /> 
</form>'; 
} //Конец вывода
else {echo '<div class="main">Такой страницы нет!</div>';} //Уведомление об отсутствии страницы
}// Конец проверки
require_once(SITE.'/core/CoreFoot.php'); //Подключение ног
exit; //Завершение скрипта
} //Конец изменения

//Вывод списка статей
  //Проверка наличия статей
$sql = "SELECT COUNT(*) FROM pages";  
if ($STH = $DBH->query($sql)) {  
if ($STH->fetchColumn() > 0) {
//Запрос на вывод
$query_pages = $DBH -> query("SELECT * FROM `pages` ORDER BY `id` DESC;");
$i = 0;
while ($data = $query_pages -> fetch()) {
++$i;
//Вывод страницы
echo '<div class="main"><a href="/?mod=pages&amp;act=view&amp;id='.$data['id'].'">'.$data['name'].'</a><br /><a href="/?mod=pages&amp;act=admin&amp;dell='.$data['id'].'">[Удалить]</a> <a href="/?mod=pages&amp;act=admin&amp;update='.$data['id'].'">[Изменить]</a></div>';
} //Конец цикла
}
else {echo '<div class="main">Страниц нет!</div>';} //Уведомление об отсутствии страниц
} //Конец вывода страниц

echo '<div class="main">'.icons('new.png').' <a href="/?mod=pages&amp;act=new">Добавить страницу</a></div>'; //Ссылка на добавление новой страницы

require_once(SITE.'/core/CoreFoot.php'); //Подключение ног

} //Конец проверки прав доступа

?>
